/* BieMme Italia 
* MCU selector for BminiIO library
* This library let you leverage the power of the Bmini shield for Arduino.
*
*
* License: CC Attribution-ShareAlike 4.0 International
* http://creativecommons.org/licenses/by-sa/4.0/legalcode
*
* BieMme Italia 2014 - http://www.biemmeitalia.net
* @author Possamai Lino
*/


//select only one conditional variable at time. 
//In case you declare more than one ARDUINO_ like variable, the correct behaviour of the Bmini board will not be guaranteed

//#define ARDUINO_MINI 1
#define ARDUINO_ETHERNET 1
//#define ARDUINO_UNO 1

/* Bmini shield pins mapping for the different Arduino board supported */
#ifdef ARDUINO_MINI
	//Mini
	#include "AMini.h"
#else
	#ifdef ARDUINO_ETHERNET
		//Ethernet
		#include "AEthernet.h"
	#else
		#ifdef ARDUINO_UNO
			//Uno
			#include "AUno.h"
		#endif
	#endif
#endif

